#version 430 core

uniform sampler2D gb_diffuse;
uniform sampler2D gb_specular;
uniform sampler2D gb_normal;
uniform sampler2D gb_depth;
uniform vec2 viewport;

in vec3 color;

layout (location = 0) out vec4 frag_color;


void main()
{
	vec2 uv = gl_FragCoord.xy * viewport;
	vec3 lit = texture(gb_diffuse, uv).rgb * color;
	frag_color = vec4(lit, 0.0);
}
